import "../../chunks/chunk.QU3DSPNU.js";
function unwrap(slotRef) {
  let slot = slotRef;
  while (slot.assignedElements().length > 0 && slot.assignedElements()[0].nodeName === "SLOT") {
    slot = slot.assignedElements()[0];
  }
  return slot;
}
export {
  unwrap
};
